### Virtual Method

# Ide Subprocess communicate_utf8_async

#### Declaration

    void
    communicate_utf8_async (
      IdeSubprocess* self,
      const gchar* stdin_buf,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`stdin_buf` | `const gchar*`
| The data to send to stdin or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.